function DATAinsert = cellMakerSS(DTcatena,IDcentralina,NodeNum,ListaDate,...
                ARRAYdateSS,val_SS,StoricoShock,cSS,ErrShockSensor)

l = ListaDate;
DATAinsert = cell(l,8);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateSS(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateSS(ii),'HH:MM:SS');
    DATAinsert{ii,6} = val_SS(ii,cSS);
    DATAinsert{ii,7} = StoricoShock(ii,cSS);
    DATAinsert{ii,8} = ErrShockSensor(ii,cSS);
end

end